cURL
curl --request POST \ --url https://api.ravan.ai/api/v1/rag/document \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "org_id": "<string>", "kb_id": "<string>", "doc_id": "<string>", "text": "<string>", "url": "<string>", "urls": [ "<string>" ], "max_pages": 123, "max_depth": 123, "metadata": {} } '
{ "success": true, "message": "<string>", "data": { "doc_id": "<string>", "kb_id": "<string>", "org_id": "<string>", "text": "<string>", "url": "<string>", "status": "<string>", "metadata": {}, "created_at": "<string>", "updated_at": "<string>" } }
Upsert Document.
Documentation IndexFetch the complete documentation index at: https://docs.ravan.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt
Use this file to discover all available pages before exploring further.
Show data
Organization ID
Knowledge Base ID
Document ID
Document text content
URL to crawl
Multiple URLs to crawl
Max pages to crawl
Max crawl depth
Document metadata
Successful response
Show child attributes